// markov.h
#ifndef __included__markov_h__
#define __included__markov_h__

#include <vector>
#include "RungeKutta4.h"

#define NUM_OF_HERG_STATES 5
#define HERG_OPEN_STATE 3

using std::vector;

class Markov : public RungeKutta4 {
public:
    void setInitialValues(vector<double>& y);
    void rhs(double t, vector<double> y, vector<double>& dy);
private:
    double a, b, ain, bin, aa, bb, ai, bi, mu;
    double vold;
    double vhold,vpulse,vhold2;
    double Kout;
};
#endif
