#include <iostream>
#include <fstream>
using namespace std;

double getTotalCalcium(double x){
    const int m = 2;   // number of buffers
    const double B[] = {290.0, 160.0};
    const double Kd[] = {200.0,2.0};

    double y;    // total calcium concdntration
    
    y = x;
    for(int i=0;i<m;i++){
        y += B[i]*(1.0 - Kd[i]/(x+Kd[i]));
    }
    return y;
}


int main()
{   
    fstream fd("ax.txt", ios::out | ios::trunc);
    for(int i = 0;i<100;i++){
        double x = 0.002*i;
        double y = getTotalCalcium(x);
        fd << x << " " << y << endl;
    }    
    fd.close();

    cout << "Total calcium = " << getTotalCalcium(0.1) << " microM, when free calcium = 0.1 microM" << endl;

    system("~/bin/gc ax.txt");
    return 0;
}
